### Struct

# St ShadowHelper

#### Description [src]

    struct StShadowHelper {
      /* No available fields */
    }

A helper for implementing a drop shadow on a actor. The actor is expected to recreate the helper whenever its contents or size change. Then, it would call `st_shadow_helper_paint()` inside its `paint()` virtual function.

#### Constructors

###### st_shadow_helper_new

Builds a `StShadowHelper` that will build a drop shadow using `source` as the mask.

#### Instance methods

###### st_shadow_helper_copy

No description available.

###### st_shadow_helper_free

Free resources associated with `helper`.

###### st_shadow_helper_paint

Paints the shadow associated with `helper` This must only be called from the implementation of ClutterActor::paint().

###### st_shadow_helper_update

Update `helper` from `source`.